#ifndef __MBA32A_H
#define __MBA32A_H
#include "main.h"


extern bool resetBTmodule;


void workinfo_W(void);
void open_close_lock(void);
extern uint8_t g_MBA32A_8buf[2048];
extern uint8_t g_MBA32A_8buf_Down[2048];
void MBA32A_Init(void);
uint8_t sendCmd_BT(char *pCmd,char *pRes, uint32_t timeOut, uint8_t sendNum);
extern uint16_t u5length;

void USART_SendString(UART_HandleTypeDef *huart,char *str);

void lock_searchInfo(void);
int dtu_test(void);
extern uint8_t DtuBtKey[16];
extern uint8_t iv[16];
#endif /*__MBA32A_H*/

